//	yf Net converter
//		2005.10.16 - 2005.11.25 Yoshiaki.Ueda
#include "wx/wx.h"
#include "yfNetConverter.h"
#include "yfNetList.h"
#include "yfNetListReaders1.h"
#include "yfNetListWriterBase.h"
#include "yfNetMode.h"

//yfNetConvert//==============================================================
	//Execute
bool yfNetConverter::Execute(
		const wxString& inFileName, unsigned inFileMode,
		const wxString& outFileName, unsigned outFileMode )
{
	yfNetList netList;
	//Read
	yfNetListReader* reader = yfNetMode::GetReader(inFileMode);
	if(!reader) return false;
	reader->Read(inFileName, netList);
	delete reader;
	//Write
	yfNetListWriter* writer = yfNetMode::GetWriter(outFileMode);
	if(!writer) return false;
	writer->Write(outFileName, netList);
	delete writer;
/*	
	m_net1List.Sort();

	reader = yfNetMode::GetReader(file2Mode);
	if(!reader) return false;
	reader->Read(file2Name, m_net2List);
	delete reader;
	m_net2List.Sort();

	//scan file 1
	yfNetList::List::iterator net;
	for(net=m_net1List.m_list.begin(); net!=m_net1List.m_list.end(); net++){
		yfNetList::PICKUP_STATUS status;
		yfNetList::Net* otherNet = m_net2List.Pickup(&*net, status);
		if(otherNet){
			//some or like
			yfNetDifferencer::Diff diff(
				status==yfNetList::SAME? Diff::SAME : Diff::LIKE, &*net, otherNet);
			m_list.push_back(diff);
		}else{
			//file1 only
			yfNetDifferencer::Diff diff(Diff::FILE1_ONLY, &*net, NULL);
			m_list.push_back(diff);
		}
	}

	//scan file 2
	for(net=m_net2List.m_list.begin(); net!=m_net2List.m_list.end(); net++){
		//file2 only
		if(!net->m_pickup){
			yfNetDifferencer::Diff diff(Diff::FILE2_ONLY, NULL, &*net);
			m_list.push_back(diff);
		}
	}
	*/
	return true;
}
