//	yf Net list
//		2005.09.29 - 2005.10.09 Yoshiaki.Ueda
#ifndef yf_NET_LIST_H
#define yf_NET_LIST_H



#include <list>
using namespace std;

class yfNetList
{
public:
	class Net
	{
	public:
		class Node
		{
		public:
			wxString m_name;
			bool m_same;
			Node();
			bool operator<(const Node& other) const;
			bool operator==(const Node& other) const;
			bool operator!=(const Node& other) const;
		};
		unsigned m_beginLine, m_nextLine;
		wxString m_name;
		bool m_pickup;
		typedef list<Node> NodeList;
		NodeList m_nodeList;
		Net();
		void GetText(wxTextCtrl& text) const;
		const wxString GetText() const;
		bool operator<(const Net& other) const;
		bool operator==(const Net& other) const;
		unsigned IsLike(Net* other, unsigned& maxNode);
		static unsigned m_counter;	//for debug
		/*for debug*/
		virtual ~Net(){
			if(m_counter--<=1)
		//	wxMessageBox(wxString::Format(wxT("delete Net %u"), m_counter));
			;
		};
		/***/
	};
	list<wxString> m_sourceText;
	typedef list<Net> List;
	List m_list;
	bool Sort();
	typedef enum { SAME, LIKE, DIFFER } PICKUP_STATUS;
	Net* Pickup(Net* other, PICKUP_STATUS& status);
	//??const wxString Dump() const;
};

#endif//yf_NET_LIST_H
